<!--
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
-->

<h3 align="center">Änderung der Einstellungen für verfügbare Status</h3>

<div id="statusSwitches">
  <label class="switch">
    <input type="checkbox" [(ngModel)]="modifyGridConfig.skipForApproval">
    <span class="slider round"></span>
  </label>
  <label style="padding-right: 20px; padding-left: 10px; vertical-align: center">Überspringe: Zur Genehmigung</label>
  <br>
  <label class="switch">
    <input type="checkbox" [(ngModel)]="modifyGridConfig.skipRequesting">
    <span class="slider round"></span>
  </label>
  <label style="padding-right: 20px; padding-left: 10px; vertical-align: center">Überspringe: Anforderung</label>
  <br>
  <label class="switch">
    <input type="checkbox" [(ngModel)]="modifyGridConfig.skipInWork">
    <span class="slider round"></span>
  </label>
  <label style="padding-right: 20px; padding-left: 10px;">Überspringe: In Arbeit</label>
  <br>
  <label class="switch">
    <input type="checkbox" [(ngModel)]="modifyGridConfig.endAfterReleased">
    <span class="slider round"></span>
  </label>
  <label style="padding-right: 20px; padding-left: 10px;">Beenden nach Freigabe</label>
  <br>
  <label class="switch">
    <input type="checkbox" [(ngModel)]="modifyGridConfig.endAfterApproved">
    <span class="slider round"></span>
  </label>
  <label style="padding-right: 20px; padding-left: 10px;">Beenden nach Genehmigung</label>
  <br>
  <div id="changeStatusBtn" class="btn btn-primary" style="float: center; margin-top: 30px;" (click)="requestGridConfigChange(false)">
    Status ändern
  </div>
  <div id="backBtn" class="btn btn-primary" style="float: center; margin-top: 30px;" (click)="goToOverview()">
    Zurück
  </div>
</div>
